org.wso2.carbon.webapp.mgt

## Class WebApplicationsHolder

- java.lang.Object
- - org.wso2.carbon.webapp.mgt.WebApplicationsHolder

-     public class WebApplicationsHolder
      extends Object

  A holder for deployed & faulty webapps

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebApplicationsHolder(File webappsDir)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,WebApplication>` | `getAllWebapps()` Get started and stopped webapps
    `Map<String,String>` | `getAppVersionMap()`
    `Map<String,WebApplication>` | `getFaultyWebapps()`
    `Map<String,WebApplication>` | `getStartedWebapps()`
    `Map<String,WebApplication>` | `getStoppedWebapps()`
    `File` | `getWebappsDir()`
    `void` | `stopWebapp(WebApplication webapp)`
    `void` | `undeployWebapp(WebApplication webapp)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WebApplicationsHolder

          public WebApplicationsHolder(File webappsDir)

  - ### Method Detail

    - #### getStartedWebapps

          public Map<String,WebApplication> getStartedWebapps()

    - #### getFaultyWebapps

          public Map<String,WebApplication> getFaultyWebapps()

    - #### getAllWebapps

          public Map<String,WebApplication> getAllWebapps()

      Get started and stopped webapps
      Returns:
        Map of started and stopped webapps

    - #### getStoppedWebapps

          public Map<String,WebApplication> getStoppedWebapps()

    - #### stopWebapp

          public void stopWebapp(WebApplication webapp)
                          throws org.wso2.carbon.CarbonException

      Throws:
        `org.wso2.carbon.CarbonException`

    - #### undeployWebapp

          public void undeployWebapp(WebApplication webapp)
                              throws org.wso2.carbon.CarbonException

      Throws:
        `org.wso2.carbon.CarbonException`

    - #### getWebappsDir

          public File getWebappsDir()

    - #### getAppVersionMap

          public Map<String,String> getAppVersionMap()

Copyright © 2017 WSO2. All rights reserved.